WordPress.org

Ready to get started?Download WordPress

Forums

[Plugin: Dean's FCKEditor For WordPress] post-new.php broken in IE6 (1 post)

  1. JanEhrhardt
    Member
    Posted 5 years ago #

    System:
    Wordpress 2.7.0
    FCKEditor for WordPress plugin (V2.5.0)
    Disable Revisions and Autosave plugin

    Browser: Internet Explorer 6 (yeah, I know, but I cannot control my users)

    Problem:
    Rich text editing (Wysiwig editing) in the user's profile should be turned off.
    If rich text editing is on, post-new.php results in an error:

    In Dutch:
    De website http://www.example.com/blog/wp-admin/post-new.php kan niet worden geopend.
    De bewerking is afgesloten.

    In English someting like this:
    The website http://www.example.com/blog/wp-admin/post-new.php cannot be opened.
    The operation was aborted.

    Side effect: WordPress uses wp-admin/js/editor.js and cannot get the contents of the editingArea. Result: new posts will not be submitted.

    Solution: ensure rich text editing is turned off (by documentation or by software).

    Workaround:
    Make some changes in wp-admin/admin-header.php:

    # Enable TinyMCE only if Dean's FCKEditor for WordPress is not active
    if ( !$deans_fckeditor && in_array( $pagenow, array('post.php', 'post-new.php',
    	'page.php', 'page-new.php') ) ) {
    		add_action( 'admin_head', 'wp_tiny_mce' );
    }

Topic Closed

This topic has been closed to new replies.

About this Topic